
Foreman - Feature #5999

Support assigning public IP to Amazon EC2 host

05/30/2014 12:50 PM - cristian falcas

Status: Closed   

Priority: Normal   

Assignee:    

Category: Compute resources - EC2   

Target version: 1.7.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1932

  

Description

Hello,

When creating a new host on an amazon compute resource and choosing for the "Managed IP" Public, no real IP is assigned to the

machine.

We are using VPCs and not EC2.

We have a "nat" role that should also use some awscli commands in order to configure itself. Because no real IP is assigned, those

commands timeout and fail, so we need to manually add an IP and rerun puppet.

I didn't see anything relevant in the logs, so please let me know if you want anything from our side regarding this.

Best regards,

Cristian Falcas

Related issues:

Related to Foreman - Feature #7072: More EC2 Integration New 08/13/2014

Related to Foreman - Feature #3521: Assign a specific IP to an AWS instance i... New 10/25/2013

Has duplicate Foreman - Feature #6818: Add Public IP option to AWS hosts Duplicate 07/29/2014

Associated revisions

Revision 5ba6c393 - 12/03/2014 11:44 AM - Henrik Feldt

Fixes #5999 - vpc + pub ip -> attach pub ip

Revision db41ab1c - 12/15/2014 10:00 AM - Henrik Feldt

Fixes #5999 - vpc + pub ip -> attach pub ip

(cherry picked from commit 5ba6c393e0a9bde31ffda6e10a783d3af21c1143)

History

#1 - 05/30/2014 12:56 PM - Dominic Cleal

- Category set to Compute resources

It's worth noting that the "Managed IP" is about which IP Foreman picks to try and contact the new VM on, rather than having any impact on how the

VM is created and which IP it's allocated.  I'm not sure how the latter works.

#2 - 05/30/2014 01:05 PM - cristian falcas

I was thinking about this feature more:

http://docs.aws.amazon.com/AmazonVPC/latest/UserGuide/vpc-ip-addressing.html#vpc-public-ip

Thank you for your response, please close this issue then.
#3 - 05/30/2014 01:10 PM - Dominic Cleal

- Tracker changed from Bug to Feature

- Subject changed from on amazon compute resource, choosing public ip is not working to Support assigning public IP to Amazon EC2 host

Let's rephrase it as a feature request :)

#4 - 05/30/2014 01:58 PM - cristian falcas

Thank you Dominic.

#5 - 07/29/2014 11:27 AM - Dominic Cleal

- Has duplicate Feature #6818: Add Public IP option to AWS hosts added

#6 - 09/26/2014 07:13 AM - Dominic Cleal

- Category changed from Compute resources to Compute resources - EC2

#7 - 09/26/2014 07:15 AM - Dominic Cleal

- Related to Feature #7072: More EC2 Integration added

#8 - 09/26/2014 07:22 AM - Dominic Cleal

- Related to Feature #3521: Assign a specific IP to an AWS instance inside a VPC added

#9 - 11/14/2014 04:41 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Target version set to 1.7.2

- Pull request https://github.com/theforeman/foreman/pull/1932 added

#10 - 12/03/2014 12:01 PM - Henrik Feldt

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 5ba6c393e0a9bde31ffda6e10a783d3af21c1143.

#11 - 12/05/2014 05:57 AM - Dominic Cleal

- translation missing: en.field_release set to 29
